# Retrieve an account summary Retrieves detailed information about the specified customer account. The response includes the account information and a summary of the account’s subscriptions, invoices, payments, and usages. ### Notes Returns only the six most recent subscriptions based on the subscription updatedDate. Within those subscriptions, there may be many rate plans and many rate plan charges. These items are subject to the maximum limit on the array size. Endpoint: GET /v1/accounts/{account-key}/summary Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `account-key` (string, required) Account number or account ID. ## Query parameters: - `excludeUsage` (boolean) Indicate whether to exclude usage information in the response. The default value is false. ## Response 200 fields (application/json): - `basicInfo` (object) Container for basic information about the account. - `basicInfo.accountNumber` (string) Account number. - `basicInfo.additionalEmailAddresses` (array) A list of additional email addresses to receive email notifications. - `basicInfo.autoPay` (boolean) Whether future payments are automatically collected when they are due during a payment run. - `basicInfo.balance` (string) Current outstanding balance. - `basicInfo.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `basicInfo.billCycleDay` (string) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `basicInfo.bcdSettingOption` (string) Bill cycle day setting option. Indicates whether the account’s bill cycle day is managed manually or automatically. - ManualSet: The bill cycle day is explicitly set to a specific day of the month (1–31). - AutoSet: The bill cycle day is automatically determined by Zuora. The bill cycle day is assigned when the first subscription is created for the account. This field is system-derived and read-only. Its value is automatically determined based on the billCycleDay field. Enum: "ManualSet", "AutoSet" - `basicInfo.currency` (string) A currency as defined in Billing Settings in the Zuora UI. - `basicInfo.defaultPaymentMethod` (object) Information of the default payment method for the account. - `basicInfo.defaultPaymentMethod.creditCardExpirationMonth` (string) Two-digit numeric card expiration month as mm. - `basicInfo.defaultPaymentMethod.creditCardExpirationYear` (string) Four-digit card expiration year as yyyy. - `basicInfo.defaultPaymentMethod.creditCardNumber` (string) Credit card number, 16 characters or less, displayed in masked format (e.g., 1234). - `basicInfo.defaultPaymentMethod.creditCardType` (string) The type of the credit card. Possible values include Visa, MasterCard, AmericanExpress, Discover, JCB, and Diners. For more information about credit card types supported by different payment gateways, see [Supported Payment Methods](https://knowledgecenter.zuora.com/Zuora_Central/Billing_and_Payments/L_Payment_Methods/Supported_Payment_Methods). - `basicInfo.defaultPaymentMethod.id` (string) ID of the default payment method associated with this account. - `basicInfo.defaultPaymentMethod.paymentMethodType` (string) Type of the payment method. For non-Credit-Card payment methods, only the id and paymentMethodType fields are returned. Enum: "CreditCard", "CreditCardReferenceTransaction", "ACH", "BankTransfer", "PayPal", "AdyenApplePay", "AdyenGooglePay", "GooglePay" - `basicInfo.id` (string) Account ID. - `basicInfo.invoiceDeliveryPrefsEmail` (boolean) Whether the customer wants to receive invoices through email. - `basicInfo.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `basicInfo.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `basicInfo.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you have the Reseller Account feature enabled, and set the partnerAccount field to false for an account, the value of the lastMetricsUpdate field is automatically set to null in the response. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `basicInfo.lastPaymentAmount` (string) Amount of the most recent payment collected for the account; null if no payment has ever been collected. - `basicInfo.lastPaymentDate` (string) Date of the most recent payment collected for the account. Null if no payment has ever been collected. - `basicInfo.name` (string) Account name. - `basicInfo.organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `basicInfo.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `basicInfo.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `basicInfo.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `basicInfo.status` (string) Account status; possible values are: Active, Draft, Canceled. - `basicInfo.tags` (string) - `basicInfo.Class__NS` (string) Value of the Class field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.CustomerType__NS` (string) Value of the Customer Type field for the corresponding customer account in NetSuite. The Customer Type field is used when the customer account is created in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Company", "Individual" - `basicInfo.Department__NS` (string) Value of the Department field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.IntegrationStatus__NS` (string) Status of the account's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.Location__NS` (string) Value of the Location field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.Subsidiary__NS` (string) Value of the Subsidiary field for the corresponding customer account in NetSuite. The Subsidiary field is required if you use NetSuite OneWorld. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.SyncDate__NS` (string) Date when the account was sychronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.SynctoNetSuite__NS` (string) Specifies whether the account should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" - `billToContact` (object) Container for bill-to contact information. Notes: - If the bill-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the bill-to contact on the subscription, see Overview of Flexible Billing Attributes. - If the bill-to contact is not specified on the subscription, the bill-to contact on the invoice owner account will be populated in this field. - `billToContact.address1` (string) First address line, 255 characters or less. - `billToContact.address2` (string) Second address line, 255 characters or less. - `billToContact.asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `billToContact.asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `billToContact.asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `billToContact.city` (string) City, 40 characters or less. - `billToContact.country` (string,null) Full country name. This field does not contain the ISO-standard abbreviation of the country name. - `billToContact.county` (string,null) County; 32 characters or less. Zuora Tax uses this information to calculate county taxation. - `billToContact.fax` (string) Fax phone number, 40 characters or less. - `billToContact.firstName` (string) First name, 100 characters or less. - `billToContact.id` (string) Contact ID. - `billToContact.lastName` (string) Last name, 100 characters or less. - `billToContact.state` (string) Full state name. This field does not contain the ISO-standard abbreviation of the state name. - `billToContact.taxRegion` (string) A region string, defined in your Zuora tax rules. - `billToContact.workEmail` (string) Work email address, 80 characters or less. - `billToContact.workPhone` (string) Work phone number, 40 characters or less. - `billToContact.zipCode` (string) Zip code, 20 characters or less. - `invoices` (array) Container for invoices. Only returns the last 6 invoices. - `invoices.amount` (number) Invoice amount before adjustments, discounts, and similar items. - `invoices.balance` (string) Balance due on the invoice. - `invoices.dueDate` (string) Due date as yyyy-mm-dd. - `invoices.id` (string) Invoice ID. - `invoices.invoiceDate` (string) Invoice date as yyyy-mm-dd. - `invoices.invoiceNumber` (string) Invoice number. - `invoices.status` (string) Invoice status - not the payment status of the invoice, just the status of the invoice itself. Possible values are: Posted, Draft, Canceled, Error. - `payments` (array) Container for payments. Only returns the last 6 payments. - `payments.effectiveDate` (string) Effective date as yyyy-mm-dd. - `payments.id` (string) Payment ID. - `payments.paidInvoices` (array) Container for paid invoices for this subscription. - `payments.paidInvoices.appliedPaymentAmount` (string) Amount of payment applied to the invoice. - `payments.paidInvoices.invoiceId` (string) Invoice ID. - `payments.paymentNumber` (string) Payment number. - `payments.paymentType` (string) Payment type; possible values are: External, Electronic. - `payments.status` (string) Payment status. Possible values are: Draft, Processing, Processed, Error, Voided, Canceled, Posted. - `shipToContact` (object) Container for ship-to contact information. Notes: - If the ship-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the ship-to contact on the subscription, see Overview of Flexible Billing Attributes. - If the ship-to contact is not specified on the subscription, the ship-to contact on the subscription owner account will be populated in this field. - `soldToContact` (object) Container for sold-to contact information. Notes: - If the sold-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the sold-to contact on the subscription, see Overview of Flexible Billing Attributes. - If the sold-to contact is not specified on the subscription, the sold-to contact on the subscription owner account will be populated in this field. - `subscriptions` (array) Container for subscriptions. - `subscriptions.autoRenew` (boolean) If true, auto-renew is enabled. If false, auto-renew is disabled. - `subscriptions.id` (string) Subscription ID. - `subscriptions.initialTerm` (string) Duration of the initial subscription term in whole months. - `subscriptions.ratePlans` (array) Container for rate plans for this subscription. - `subscriptions.ratePlans.productId` (string) Product ID. - `subscriptions.ratePlans.productName` (string) Product name. - `subscriptions.ratePlans.productRatePlanId` (string) Product Rate Plan ID. - `subscriptions.ratePlans.productSku` (string) - `subscriptions.ratePlans.ratePlanName` (string) Rate plan name. - `subscriptions.renewalTerm` (string) Duration of the renewal term in whole months. - `subscriptions.status` (string) Subscription status; possible values are: Draft, PendingActivation, PendingAcceptance, Active, Cancelled, Expired. - `subscriptions.subscriptionNumber` (string) Subscription Number. - `subscriptions.subscriptionStartDate` (string) Subscription start date. - `subscriptions.termEndDate` (string) End date of the subscription term. If the subscription is evergreen, this is either null or equal to the cancellation date, as appropriate. - `subscriptions.termStartDate` (string) Start date of the subscription term. If this is a renewal subscription, this date is different than the subscription start date. - `subscriptions.termType` (string) Possible values are: TERMED, EVERGREEN. - `subscriptions.CpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `subscriptions.OpportunityCloseDate__QT` (string) The closing date of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.OpportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.QuoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.QuoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.QuoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.IntegrationStatus__NS` (string) Status of the subscription's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscriptions.Project__NS` (string) The NetSuite project that the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscriptions.SalesOrder__NS` (string) The NetSuite sales order than the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscriptions.SyncDate__NS` (string) Date when the subscription was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `success` (boolean) Returns true if the request was processed successfully. - `taxInfo` (object) Container for tax exempt information, used to establish the tax exempt status of a customer account. - `taxInfo.VATId` (string) EU Value Added Tax ID. - `taxInfo.companyCode` (string) Unique code that identifies a company account in Avalara. - `taxInfo.exemptCertificateId` (string) ID of the customer tax exemption certificate. - `taxInfo.exemptCertificateType` (string) Type of tax exemption certificate that the customer holds. - `taxInfo.exemptDescription` (string) Description of the tax exemption certificate that the customer holds. - `taxInfo.exemptEffectiveDate` (string) Date when the customer tax exemption starts. - `taxInfo.exemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. This account-level field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/)for more details. - `taxInfo.exemptExpirationDate` (string) Date when the customer tax exemption expires. - `taxInfo.exemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `taxInfo.exemptStatus` (string) Status of the account tax exemption. - `usage` (array) Container for usage data. Only returns the last 6 months of usage. Note: If the Active Rating feature is enabled, no usage data is returned in the response body field. - `usage.quantity` (string) Number of units used. - `usage.startDate` (string) The start date of a usage period as yyyy-mm. Zuora uses this field value to determine the usage date. - `usage.unitOfMeasure` (string) Unit by which consumption is measured, as configured in the Billing Settings section of the web-based UI. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.